#include <stdio.h>

/* 
You are given n positive non-zero integers (n >= 1). You need to find their GCD (greatest common divisor).
For example, the GCD of 4,6, and 8 is 2. 

Input format: The input will have one integer per line. Keep reading the integers
till you encounter a -1 (Repeated calls to scanf). Once you encounter -1, the 
input has terminated. Note that -1 is NOT a valid input. It just indicates that
the input has ended. Do not use the value, -1, in your program. You are guaranteed
to get at least 1 valid integer as input. 

Output format: the GCD (Use "%d\n" as the format string)
NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	int nums[10]; 
	int i = 0, num, gcd, flag, divisor = 1;
	int min = 0;
	int count= 0;

	while(1){
		scanf("%d",&num);
		if (num == -1) break;
		nums[count] = num;
		if (count == 0)
			min = num;
		else
			min = (num < min) ? num : min;
		count++; 
	}

	/* find the gcd */
	for (divisor = 1; divisor <= min; divisor ++){

		flag = 0;
		for (i=0; i < count; i++){
			if (nums[i] % divisor != 0) {
				flag = 1;
				break;
			}
		}
		if (flag == 0)
			gcd = divisor;
	}

	printf ("%d\n",gcd);
	/* Don't modify anything below this line */
	return 0;
}
