#include <stdio.h>

/* 
1) Write a C program to print the following grid of numbers for any given input integer n (>= 1).
Example:

Input: 4

Output:
1 2 3 4
2 1 2 3
3 2 1 2
4 3 2 1 

Input: 6

1 2 3 4 5 6
2 1 2 3 4 5 
3 2 1 2 3 4
4 3 2 1 2 3
5 4 3 2 1 2
6 5 4 3 2 1

The logic is that the first digit in each row is 1 more than the first digit of the previous row.
Then we count down to 1. After we reach 1, if again start counting up to n. There shall be n digits
in each row. 

Input format:  The number n (integer, and n >= 1)

Output format: Multiple rows. In each row the list of integers are separated by a single space (' '). There are
no spaces at the beginning or end of a line. 

NO LEADING OR TRAILING SPACES IN ANY LINE
*/

int main() {
	/* Don't modify anything above this line */
	int num,i,j;
	scanf ("%d",&num);

	for (i=1; i <= num; i++){
		printf ("%d",i); /* print the first digit in each row */
		
		/* start counting down to 1*/
		for (j = i - 1; j >= 1; j--) 
			printf (" %d",j);

		/* start counting up */
		for (j = 0; j < num-i; j++)
			printf (" %d",2+j);	
		printf ("\n");
	}

	/* Don't modify anything below this line */
	return 0;
}
