#include <stdio.h>

/* 
Compute the arithmetic mean (mathematical average) of a set of numbers. For example,
if the numbers are 3,4,5,6, the average is 4.5. 

Input format: The input will have one integer per line. Keep reading the integers
till you encounter a -1 (Repeated calls to scanf). Once you encounter -1, the 
input has terminated. Note that -1 is not a valid input. It just indicates that
the input has ended. Do not use -1 in calculating the average. You are guaranteed
to at least have one valid number.

Output format: The arithmetic mean as a floating-point number with 2 digits of precision
(Use "%.2f\n" as the format string)
NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	float count =0;
	float sum = 0;
	int num;

	while (1){
		scanf("%d",&num);
		if (num == -1) break;
		count += 1.0;
		sum += (float) num;
	}

	printf("%.2f\n", sum/count);

	/* Don't modify anything below this line */
	return 0;
}
