#include <stdio.h>

/*
Write a C program to print all the prime factors of a given number with its frequency.
For example, the prime factorization of 24 is: 2 * 2 * 2 * 3. In this case print:
2 3
3 1
The prime factorization of 38 is: 19 * 1 * 2 * 1. In this case print:
19 1
2 1

Input format:  The input will contain a single integer (>= 2).

Output format: The output will have multiple lines. Each line contains two values:
prime factor and its frequency. For example: 3 1. The prime factor is 3, and its frequency is 1.
The prime factors need to be printed in ascending (increasing order). For example, if the
input is 108, the output will be: 
2 2
3 3

Use "%d %d\n" as the format string.
NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	int num, numcopy, factor,flag,i,count;
	scanf("%d",&num);

	for (factor=2; factor <= num; factor ++) {
	
		/* find if the factor is prime or not */
		int flag = 1;
		for (i=2; i < factor; i++){
			if (factor % i == 0) {
				flag = 0;
				break;
			}
		}
		if (flag == 1) {
			/* the factor is prime */
			numcopy = num;
			count = 0;
			while (numcopy % factor == 0){
				numcopy = numcopy / factor;
				count ++;
			}
			if (count != 0)
				printf ("%d %d\n",factor, count);
		}
	}

	/* Don't modify anything below this line */
	return 0;
}
