#include <stdio.h>

/* 
Write a program to check whether a number is a strong number or not.
Definition of a strong number:

A number is called a strong number if the sum of the factorials of its digits is equal to the number itself. 
For example: 145 is strong because --> 1! + 4! + 5! = 1 + 24 + 120 = 145
Recall that the factorial of a number n is: 1 * 2 * ... * (n-1) * n

Input format: The number n (integer, and n >= 1)

Output format: If the number is strong print 1, else print 0. Use "%d\n" as the format string. 

NO LEADING OR TRAILING SPACES IN ANY LINE
*/

int main() {
	/* Don't modify anything above this line */
	int num, digit, prod, i,oldnum, sum=0;
	scanf ("%d",&num);
	oldnum = num;

	do{
		digit = num % 10;
		num = num / 10;

		/* find its factorial */
		prod = 1;
		for (i=1; i <= digit; i++)
			prod = prod * i;

		/* add to the sum */
		sum += prod;
	} while (num != 0);

	if (oldnum == sum) 
		printf ("1\n");
	else
		printf ("0\n");

	/* Don't modify anything below this line */
	return 0;
}
